Bug 143524 - ethereal puts files in /usr/lib/python2.3/site-packages
ethereal puts files in /usr/lib/python2.3/site-packages
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ethereal (Show other bugs)
3
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-21 17:21 EST by Nathan G. Grennan
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-23 04:35:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nathan G. Grennan 2004-12-21 17:21:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

Description of problem:
ethereal packaged for x86_64 seems to improperly put files in
/usr/lib/python2.3/site-packages. It should be
/usr/lib64/python2.3/site-packages. This package isn't alone, and I
discovered this problem while trying to install bittorrent from
pre-extras.

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143520

Version-Release number of selected component (if applicable):
ethereal-0.10.6-3

How reproducible:
Always

Steps to Reproduce:
1. rpm -qf ethreal | grep site-packages
2. rpm -qf python | grep site-packages

Actual Results:  ethereal uses /usr/lib and python uses /usr/lib64

Expected Results:  ethereal and python use /usr/lib64

Additional info:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143521

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143522

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=143523
Comment 1 Nathan G. Grennan 2004-12-21 17:50:01 EST
I meant

rpm -ql ethreal | grep site-packages
rpm -ql python | grep site-packages

not

rpm -qf ethreal | grep site-packages
rpm -qf python | grep site-packages
Comment 2 Radek Vokal 2004-12-23 04:35:41 EST
Well this is strange 'cos what I see is that the lib path is get from
%{python_sitelib} macro and it's correctly unrolled to 

  /usr/lib64/python2.2/site-packages
Comment 3 Nathan G. Grennan 2004-12-23 10:52:34 EST
Fedora Core 3 x86_64 with x86_64 ethereal and no i386/i686 packages

[root@proton ~]$ rpm -ql ethereal | grep site-packages
/usr/lib/python2.3/site-packages/ethereal_be.py
/usr/lib/python2.3/site-packages/ethereal_gen.py
[root@proton ~]$

[root@proton ~]$ rpm -q --queryformat
"%{name}-%{version}-%{release}-%{arch}\n" ethereal
ethereal-0.10.6-3-x86_64

Note You need to log in before you can comment on or make changes to this bug.